# fix build (debuginfo package is empty...):
# (we don't build anything, but we're arched b/c we include binaries from the
#  system into an image)
%define debug_package %{nil}

Summary:	Rescue image for DrakX
Name:		drakx-installer-rescue
Version:	1.62
Release:	%mkrel 4
Source0:	%{name}-%{version}.tar.xz
License:	GPLv2
Group:		Development/Other
Url:		https://wiki.mageia.org/en/Drakx-installer_tips_and_tricks
BuildRequires: perl(XML::Parser) 
# Build tools:
BuildRequires: fakeroot
BuildRequires: ldetect-lst-devel
BuildRequires: mknod-m600
BuildRequires: squashfs-tools 
# For /usr move at build time:
BuildRequires: dracut
# System stuff:
BuildRequires: mingetty
BuildRequires: setserial
# for /usr/lib/systemd/system/systemd-ask-password-plymouth.*:
BuildRequires: plymouth
BuildRequires: kbd
# Bootloaders:
BuildRequires: grub >= 0.97-48.1
BuildRequires: grub2 >= 2.02.0-15
BuildRequires: extipl
%ifarch x86_64
BuildRequires: efibootmgr >= 0.12-4
%endif
# fixed for Ryzen 3xxx
BuildRequires: systemd >= 241-8.1
BuildRequires: systemd-units >= 241-8.1
# Partitionning tools:
BuildRequires: gdisk
BuildRequires: gpart 
BuildRequires: parted 
BuildRequires: partimage 
BuildRequires: testdisk 
BuildRequires: cryptsetup 
BuildRequires: dmraid
BuildRequires: dmraid-events 
BuildRequires: dmsetup >= 1.02.154-1.1
BuildRequires: kpartx 
BuildRequires: lvm2 >= 2.02.183-1.1
BuildRequires: mdadm 
# Fs tools:
BuildRequires: btrfs-progs
BuildRequires: dosfstools 
BuildRequires: e2fsprogs
BuildRequires: jfsprogs 
BuildRequires: nfs-utils 
BuildRequires: nilfs-utils
BuildRequires: ntfs-3g
BuildRequires: reiserfsprogs 
BuildRequires: xfsprogs 
BuildRequires: dump 
BuildRequires: xfsdump 
BuildRequires: quota
BuildRequires: photorec 

BuildRequires: eject 
BuildRequires: mt-st
BuildRequires: ldetect
BuildRequires: packdrake 
BuildRequires: rpmtools >= 7.02-2
# for rescue-gui:
BuildRequires: drakx-installer-binaries >= 2.40-3
BuildRequires: drakxtools-backend  >= 18.21
BuildRequires: drakx-kbd-mouse-x11
BuildRequires: bind-utils 
BuildRequires: wget
BuildRequires: cdialog
BuildRequires: ldetect-lst >= 0.2.3-1
BuildRequires: pv 
# Tools:
BuildRequires: dropbear 
BuildRequires: hexedit 
BuildRequires: krb5-appl-clients 
BuildRequires: openssh-clients 
BuildRequires: pciutils
BuildRequires: rsync 
BuildRequires: screen 
BuildRequires: strace
BuildRequires: vim-minimal
ExclusiveArch: x86_64 %{ix86}

%description
The rescue image is an alternative stage2 image for the drakx installer,
enabling to recovering broken installations.

%prep
%setup -q
%autopatch -p1

%build
fakeroot make -C rescue
rpm -qa | sort > build-rpms.lst

%install
dest=$RPM_BUILD_ROOT%{_libdir}/%name
mkdir -p $dest
cp -r rescue/rescue.sqfs $dest

%files
%doc build-rpms.lst
%{_libdir}/%name


%changelog
* Fri Jul 12 2019 tmb <tmb> 1.62-4.mga7
+ Revision: 1420501
- rebuild for new systemd, grub, lvm2

* Sat Jun 22 2019 tmb <tmb> 1.62-3.mga7
+ Revision: 1400521
- rebuild for updated packages

* Fri Jun 21 2019 tmb <tmb> 1.62-2.mga7
+ Revision: 1400424
- rebuild for updated packages

* Tue Jun 18 2019 tmb <tmb> 1.62-1.mga7
+ Revision: 1400308
- start udevd to support lvm2 (mga#24878)

* Sun May 19 2019 tmb <tmb> 1.61-2.mga7
+ Revision: 1398451
- rebuild for release

* Sat May 11 2019 tmb <tmb> 1.61-1.mga7
+ Revision: 1397277
- update filelist for new systemd
- rebuild with updated packages
- rebuild for updated packages

* Sat Feb 02 2019 tmb <tmb> 1.60-5.mga7
+ Revision: 1362561
- rebuild for new packages

* Sun Jan 13 2019 tmb <tmb> 1.60-4.mga7
+ Revision: 1356132
- rebuild for new packages

* Mon Dec 03 2018 tmb <tmb> 1.60-2.mga7
+ Revision: 1338152
- rebuild for updated packages

* Thu Nov 22 2018 tv <tv> 1.60-1.mga7
+ Revision: 1333110
- fix collecting needed perl files with glibc-2.26

* Sun Nov 11 2018 tmb <tmb> 1.59-2.mga7
+ Revision: 1329514
- rebuild for updated packages

* Sun Aug 26 2018 tmb <tmb> 1.59-1.mga7
+ Revision: 1254522
- 1.59:
  * adapt for btrfs-progs 4.17.1
- 1.58
  * adapt for perl-5.28
- rebuild for new btrfs-progs, e2fsprogs, xfsprogs

* Mon Jul 02 2018 tmb <tmb> 1.57-2.mga7
+ Revision: 1241440
- rebuild for updated packages

* Sat Feb 10 2018 tv <tv> 1.57-1.mga7
+ Revision: 1200148
- add more udev rules (syncing with regular stage2)

* Sat Feb 10 2018 tmb <tmb> 1.56-2.mga7
+ Revision: 1200085
- rebuild for updated packages

* Fri Jan 19 2018 tmb <tmb> 1.56-1.mga7
+ Revision: 1194797
- adapt for new systemd
- rebuild for updated packages

* Sat Dec 02 2017 tmb <tmb> 1.55-11.mga7
+ Revision: 1180704
- rebuid for new packages

* Thu Sep 14 2017 tmb <tmb> 1.55-10.mga7
+ Revision: 1153716
- rebuild for new packages

* Mon Jul 10 2017 tmb <tmb> 1.55-9.mga6
+ Revision: 1109659
- rebuild for new rpm and rpcbind

* Fri Jul 07 2017 tmb <tmb> 1.55-8.mga6
+ Revision: 1109174
- rebuild for release

* Wed Jun 07 2017 tmb <tmb> 1.55-7.mga6
+ Revision: 1107242
- rebuild for new efibootmgr / efivar

* Mon Jun 05 2017 tmb <tmb> 1.55-6.mga6
+ Revision: 1107009
- rebuild for updated packages

* Thu Mar 30 2017 tmb <tmb> 1.55-5.mga6
+ Revision: 1095342
- rebuild for updated packages

* Sun Mar 05 2017 tmb <tmb> 1.55-4.mga6
+ Revision: 1088847
- rebuild for updated packages

* Sun Feb 19 2017 tmb <tmb> 1.55-3.mga6
+ Revision: 1086842
- rebuild for new rpm

* Thu Feb 02 2017 tmb <tmb> 1.55-2.mga6
+ Revision: 1084581
- rebuild for new e2fsprogs

* Mon Jan 30 2017 tv <tv> 1.55-1.mga6
+ Revision: 1084224
- lsparts: fix reporting half sizes (mga#8853)

* Wed Jan 11 2017 tmb <tmb> 1.54-7.mga6
+ Revision: 1081029
- rebuild for updated packages

* Fri Jan 06 2017 tmb <tmb> 1.54-6.mga6
+ Revision: 1080380
- rebuild for updated packages
+ ennael <ennael>
- rebuild for new binaries

* Fri Sep 16 2016 tv <tv> 1.54-4.mga6
+ Revision: 1053438
- rebuild for new packages
- do not try to build on ARM for now

* Mon Jul 11 2016 tmb <tmb> 1.54-3.mga6
+ Revision: 1041153
- rebuild for new efibootmgr

* Mon Jul 11 2016 tmb <tmb> 1.54-2.mga6
+ Revision: 1041116
- rebuild for updated packages

* Mon Jun 20 2016 tv <tv> 1.54-1.mga6
+ Revision: 1036982
- do not run shells uselessly
- drop (broken) support for Alpha, IA64 & PPC, Sparc
- fix a message when re-installing bootloader
- better description

* Sat Jun 11 2016 tmb <tmb> 1.53-9.mga6
+ Revision: 1021160
- rebuild with updated packages

* Tue Jun 07 2016 tmb <tmb> 1.53-8.mga6
+ Revision: 1020661
- rebuild for updated packages

* Sat May 07 2016 tmb <tmb> 1.53-7.mga6
+ Revision: 1010350
- rebuild with fixed grub2

* Sat Apr 30 2016 tmb <tmb> 1.53-6.mga6
+ Revision: 1008366
- rebuild for updated packages

* Wed Mar 23 2016 tv <tv> 1.53-5.mga6
+ Revision: 994289
- rebuild for new ntfs-3g
- ntfsprogs is provided by ntfs-3g

* Sat Feb 13 2016 tmb <tmb> 1.53-4.mga6
+ Revision: 959746
- rebuild for new packages

* Mon Jan 18 2016 tmb <tmb> 1.53-3.mga6
+ Revision: 925411
- rebuild for new packages

* Thu Nov 12 2015 tv <tv> 1.53-2.mga6
+ Revision: 902855
- drop BR on gummiboot (useless)

* Tue Sep 29 2015 tv <tv> 1.53-1.mga6
+ Revision: 885078
- fix empty debuginfo
- fix build with libified perl
+ tmb <tmb>
- rebuild with new gcc

* Sun May 31 2015 tmb <tmb> 1.52-3.mga5
+ Revision: 822834
- rebuild for official release

* Sat May 09 2015 tmb <tmb> 1.52-2.mga5
+ Revision: 821547
- rebuild for updated packges

* Thu Apr 30 2015 tv <tv> 1.52-1.mga5
+ Revision: 820872
- guessmount: mount /dev, /run & /sys too (mga#10865)
- lsparts (mga#8854):
  o display label too
  o silent run_program

* Mon Apr 20 2015 tmb <tmb> 1.51-2.mga5
+ Revision: 820509
- rebuild for new drakxtools

* Wed Apr 15 2015 tmb <tmb> 1.51-1.mga5
+ Revision: 820274
- fix reinstalling grub2 on UEFI (mga#15695)

* Tue Apr 14 2015 tmb <tmb> 1.50-14.mga5
+ Revision: 820265
- rebuild for drakxtools and grub2

* Mon Apr 13 2015 tmb <tmb> 1.50-13.mga5
+ Revision: 820162
- rebuild for new drakxtools and grub2

* Thu Apr 09 2015 tv <tv> 1.50-12.mga5
+ Revision: 820016
- rebuild with drakxtools-16.80

* Tue Apr 07 2015 tmb <tmb> 1.50-11.mga5
+ Revision: 819857
- submit to release

* Tue Apr 07 2015 tv <tv> 1.50-10.mga5
+ Revision: 819844
- really rebuild with latest drakxtools

* Tue Apr 07 2015 ennael <ennael> 1.50-9.mga5
+ Revision: 819825
- rebuild with proper drakxtools

* Tue Apr 07 2015 ennael <ennael> 1.50-8.mga5
+ Revision: 819816
- rebuild for new drakxtools

* Fri Apr 03 2015 tv <tv> 1.50-7.mga5
+ Revision: 819665
- rebuild with new draktools
  (fix grub2 rescue (mga#13408, mga#13901))

* Mon Mar 30 2015 tmb <tmb> 1.50-6.mga5
+ Revision: 819402
- rebuild for new btrfs-progs

* Sat Mar 14 2015 tmb <tmb> 1.50-5.mga5
+ Revision: 818536
- rebuild for new btrfs-progs

* Wed Feb 25 2015 tmb <tmb> 1.50-4.mga5
+ Revision: 816858
- rebuild with new ldetect

* Mon Feb 09 2015 tmb <tmb> 1.50-3.mga5
+ Revision: 814387
- BR: mingetty
- rebuild for new btrfs-progs

* Fri Jan 09 2015 tmb <tmb> 1.50-1.mga5
+ Revision: 809517
- add efibootmgr to x86_64 rescue image

* Fri Jan 02 2015 tmb <tmb> 1.49-10.mga5
+ Revision: 808171
- rebuild for new efibootmgr

* Tue Dec 30 2014 tmb <tmb> 1.49-9.mga5
+ Revision: 807497
- rebuild for new btrfs-progs

* Sun Dec 14 2014 tmb <tmb> 1.49-8.mga5
+ Revision: 803096
- rebuild for new packages

* Tue Nov 04 2014 tmb <tmb> 1.49-7.mga5
+ Revision: 795655
- rebuild for fixed systemd

* Thu Oct 30 2014 tmb <tmb> 1.49-6.mga5
+ Revision: 794848
- rebuild for new systemd

* Sat Oct 25 2014 tmb <tmb> 1.49-5.mga5
+ Revision: 793223
- rebuild for new util-linux and btrfs-progs

* Wed Oct 15 2014 umeabot <umeabot> 1.49-4.mga5
+ Revision: 741280
- Second Mageia 5 Mass Rebuild

* Fri Oct 10 2014 tmb <tmb> 1.49-3.mga5
+ Revision: 737980
- add efibootmgr to rescue image

* Fri Oct 03 2014 tmb <tmb> 1.49-2.mga5
+ Revision: 736688
- rebuild for lvm2 and btrfs-progs

* Thu Sep 18 2014 tmb <tmb> 1.49-1.mga5
+ Revision: 695893
- 80-net-name-slot.rules is replaced with 99-default.link
- BR: pciutils
- killall5 is no more needed (tv)
+ umeabot <umeabot>
- Mageia 5 Mass Rebuild

* Mon Jun 09 2014 tv <tv> 1.47-6.mga5
+ Revision: 635228
- rebuild with new perl

* Mon Jan 27 2014 tmb <tmb> 1.47-5.mga4
+ Revision: 568477
- rebuild for Official

* Wed Jan 01 2014 tmb <tmb> 1.47-4.mga4
+ Revision: 563780
- rebuild with fixed e2fsprogs

* Mon Dec 09 2013 colin <colin> 1.47-3.mga4
+ Revision: 556025
- Rebuild for new systemd

* Sun Dec 08 2013 tv <tv> 1.47-2.mga4
+ Revision: 555975
- drop BR drakx-installer-sysvinit

* Sun Dec 08 2013 tv <tv> 1.47-1.mga4
+ Revision: 555954
- BR plymouth
- use systemd as init in the rescue system
- allowing systemd-nspawn "booting" of a mounted /mnt (after umount /mnt/proc)

* Wed Dec 04 2013 tmb <tmb> 1.46-2.mga4
+ Revision: 555236
- rebuild for new btrfs-progs

* Tue Oct 29 2013 ennael <ennael> 1.46-1.mga4
+ Revision: 547887
- adapt to a dracut based stage1
+ umeabot <umeabot>
- Mageia 4 Mass Rebuild

* Mon Oct 14 2013 tv <tv> 1.45.1-1.mga4
+ Revision: 497255
- many btrfs tools no longer exist
- adapt to latest mdadm
- drop /etc/termcap as it's no longer part of our build
- include network interface name udev rules (mga#10947)
+ tmb <tmb>
- rebuild for updated packages

* Sat May 18 2013 tmb <tmb> 1.44-2.mga3
+ Revision: 413546
- rebuild for d-i-b and mageia-release

* Sat May 18 2013 tmb <tmb> 1.44-1.mga3
+ Revision: 413523
- ensure /dev is bind mounted before re-installing bootloader (mga#10107)

* Wed May 15 2013 ennael <ennael> 1.43-1.mga3
+ Revision: 413297
- i- ensure grabjournallogs script is executable (mga#10108)
+ tv <tv>
- explain why dracut is needed

* Fri May 03 2013 tmb <tmb> 1.42-2.mga3
+ Revision: 412208
- rebuild for new dracut

* Tue Apr 30 2013 tv <tv> 1.42-1.mga3
+ Revision: 411721
- add a script to simplfy grabbing of journal logs for bug reports
- enable to abort choosing distro to rescue (mga#9765)
- explain what for drakx-installer-binaries is needed

* Sat Apr 27 2013 tmb <tmb> 1.41-5.mga3
+ Revision: 411356
- rebuild for new d-i-b and ldetect-lst

* Wed Apr 24 2013 tmb <tmb> 1.41-4.mga3
+ Revision: 411084
- rebuild for new ldetect-lst and d-i-b

* Wed Apr 17 2013 tmb <tmb> 1.41-3.mga3
+ Revision: 410304
- rebuild for new btrfs-progs

* Sat Apr 13 2013 tmb <tmb> 1.41-2.mga3
+ Revision: 410020
- rebuild for d-i-b and ldetect-lst

* Sat Apr 06 2013 tv <tv> 1.41-1.mga3
+ Revision: 408512
- BR ldetect
- really adapt to /usr move (fix lvm2 freezing, mga#5795)
- drop our "use modprobe instead" insmod since we've kmod one for free
- include libdevmapper-event-*.so
- include persistant storage udev rules needed to see new uuids
- offer to pick the distro to rescue when there's more than one
- /var/run/utmp is on tmpfs now
- warn that i586 cannot rescue x86_64 (mga#8696)

* Fri Apr 05 2013 tmb <tmb> 1.40-4.mga3
+ Revision: 408219
- rebuild for new ldetect and d-i-b

* Thu Apr 04 2013 tv <tv> 1.40-3.mga3
+ Revision: 407939
- rebuild with new ldetect for xen support (mga#9546)

* Thu Mar 14 2013 tmb <tmb> 1.40-2.mga3
+ Revision: 403124
- rebuild for new d-i-b

* Wed Mar 06 2013 tv <tv> 1.40-1.mga3
+ Revision: 401592
- preload fuse (mga#5833)
- use kmod's modprobe, thus fixing loading modules (mga#9270)

* Sat Mar 02 2013 tmb <tmb> 1.39-9.mga3
+ Revision: 401166
- rebuild for drakx-installer-binaries

* Sat Feb 23 2013 tmb <tmb> 1.39-8.mga3
+ Revision: 400176
- BR gummiboot on x86_64

* Sat Feb 09 2013 tmb <tmb> 1.39-7.mga3
+ Revision: 397339
- rebuild for new btrfs-progs
- add grub2

* Mon Jan 21 2013 tmb <tmb> 1.39-6.mga3
+ Revision: 390481
- rebuild for new d-i-b

* Sat Jan 19 2013 tmb <tmb> 1.39-5.mga3
+ Revision: 389555
- /var/run/utmp is on tmpfs now
- rebuild for d-i-b, drakx*

* Thu Jan 10 2013 tmb <tmb> 1.39-4.mga3
+ Revision: 344892
- rebuild for several updated packages

* Fri Nov 02 2012 tmb <tmb> 1.39-3.mga3
+ Revision: 312680
- rebuild for several updated packages

* Wed Sep 12 2012 tv <tv> 1.39-2.mga3
+ Revision: 293141
- rebuild for new ldetect

* Mon Sep 03 2012 tv <tv> 1.39-1.mga3
+ Revision: 287604
- drop old patch
- bump BR on drakx-installer-binaries
- adapt to latest systemd/udevd
- adapt to perl-5.16.0
- adapt to /usr move
- default to the higher version when there're several mga roots (mga#6003)
- drop KA support
- fix detecting USB devices with kernel-3.5+ (mga#7248)
- preload load btrfs and nilfs2 too
- rely on stage1 for mounting /dev
- revert to "linux" terminfo
- simplify bringing up local loop interface (pok, mdv)
- stop fixing the raid udev rule now that it has been fixed
+ tmb <tmb>
- fix requires on nfs-utils

* Mon May 21 2012 tmb <tmb> 1.38-4.mga2
+ Revision: 235991
- prefer higher release when mounting rescue (mga #6003)

* Sat May 19 2012 tmb <tmb> 1.38-3.mga2
+ Revision: 235927
- rebuild for mageia-release

* Sun May 13 2012 tmb <tmb> 1.38-2.mga2
+ Revision: 235594
- rebuild for drakx-installer-binaries and ldetect-lst

* Fri May 11 2012 tv <tv> 1.38-1.mga2
+ Revision: 235342
- include missing modules when SMB appears in fstab (mga#5850)

* Wed May 02 2012 tmb <tmb> 1.37-3.mga2
+ Revision: 234517
- rebuild for new btrfs-progs, ldetect-lst, ...
+ tv <tv>
- rebuild for new ldetect-lst (mga#5681)
- package BR list

* Wed Apr 18 2012 tv <tv> 1.37-1.mga2
+ Revision: 231445
- fix detecting RAID (mga#5048)
- include more udev rules for RAID (mga#5048)

* Sun Apr 08 2012 pterjan <pterjan> 1.36-1.mga2
+ Revision: 229619
- fix modprobe to support being called by kernel (mga#5274)

* Thu Apr 05 2012 tv <tv> 1.35-1.mga2
+ Revision: 228794
- add chrooted rescue system in PATH
- 32bit grub needs 32 bit loader (mga#5191)
- default to "screen" instead of "linux" terminfo (mga#4894)
- include "screen" terminfo (mga#4894)

* Tue Apr 03 2012 tmb <tmb> 1.34-8.mga2
+ Revision: 228146
- rebuild for new e2fsprogs

* Sun Mar 25 2012 tmb <tmb> 1.34-7.mga2
+ Revision: 226232
- rebuild for new xfsprogs and btrfs-progs

* Mon Mar 19 2012 tmb <tmb> 1.34-6.mga2
+ Revision: 224478
- rebuild for new drakx-installer-binaries

* Mon Mar 19 2012 tmb <tmb> 1.34-5.mga2
+ Revision: 224380
- rebuild for new drakx-installer-binaries

* Mon Mar 12 2012 tmb <tmb> 1.34-4.mga2
+ Revision: 223152
- rebuild for new drakx-installer-binaries

* Tue Mar 06 2012 tmb <tmb> 1.34-3.mga2
+ Revision: 220560
- rebuild for new lvm2, dmraid, kpartx

* Sat Mar 03 2012 tmb <tmb> 1.34-2.mga2
+ Revision: 217302
- rebuild for new drakx-installer-binaries

* Sun Feb 26 2012 tv <tv> 1.34-1.mga2
+ Revision: 215387
- escape / in generated passwords in startssh
- add trailing ; in command lists in startssh

* Sun Feb 26 2012 tv <tv> 1.33-1.mga2
+ Revision: 215308
- do not symlink /dev (mga#1023)

* Sat Feb 25 2012 tv <tv> 1.32-1.mga2
+ Revision: 214907
- don't overwrite /dev after udev handles it
- add some tests and error handling in startssh
- really fix mounting /dev/pts & /dev/shm (mga#1023)

* Sat Feb 25 2012 tv <tv> 1.31-1.mga2
+ Revision: 214670
- add logging to dropbear
- fix mounting /dev/pts & /dev/shm (mga#1023)
- make root user homedir /root
- add agetty (mga#2052)

* Thu Jan 26 2012 tv <tv> 1.30-1.mga2
+ Revision: 202069
- BR nilfs-utils
- enable autologin on all consoles
- include mkfs.nilfs2 & nilfs-tune

* Wed Jan 25 2012 tv <tv> 1.29-2.mga2
+ Revision: 201379
- rebuild with latest drakxtools

* Wed Jan 25 2012 tv <tv> 1.29-1.mga2
+ Revision: 201360
- drop support for squashfs3
- enable rescue through serial line (mga#2052)
- fix mounting / (mga#3327)
- fix mounting / on LV
- fix mounting / on soft RAID or crypted LV (mga#3778 & mga#448)
- include xz for xz modules
- mount /proc in chroot
- only consider fstab from the selected fs
- switch to udev

* Wed Jan 25 2012 tv <tv> 1.28-2.mga2
+ Revision: 201207
- rebuild with new packages for XZ modules support

* Sun Jan 15 2012 tv <tv> 1.28-1.mga2
+ Revision: 196435
- use init from drakx-installer-sysvinit instead of system one

* Thu Jan 05 2012 tmb <tmb> 1.27-7.mga2
+ Revision: 191556
- rebuild for new lvm2 and dmraid

* Fri Dec 30 2011 tmb <tmb> 1.27-6.mga2
+ Revision: 189122
- rebuild for new e2fsprogs

* Thu Dec 29 2011 tmb <tmb> 1.27-5.mga2
+ Revision: 188503
- BR fixed drakx-installer-binaries >= 1.55-1

* Sat Dec 24 2011 tmb <tmb> 1.27-4.mga2
+ Revision: 187078
- try build with systemd support
- rebuild for new mdadm and btrfs-progs

* Wed Dec 07 2011 tmb <tmb> 1.27-3.mga2
+ Revision: 178103
- rebuild for updated dmraid

* Tue Dec 06 2011 tmb <tmb> 1.27-2.mga2
+ Revision: 177913
- rebuild for drakx-installer-binaries 1.52, ldetect, ...

* Fri Oct 28 2011 tmb <tmb> 1.27-1.mga2
+ Revision: 159166
- clean up genpasswd (AL13N)
- add gdisk for GPT partitioning support (#1023)

* Mon Oct 24 2011 tmb <tmb> 1.26-1.mga2
+ Revision: 157881
- 1.26:
  - add dropbear ssh support to rescue mode (AL13N, mga #1023)
    * add screen, dropbear, dropbearkey, genpasswd and startssh
    * add /etc/shells
  - add partprobe tool from parted (9k)

* Tue Oct 18 2011 tmb <tmb> 1.25.1-2.mga2
+ Revision: 156256
- check rebuild since almost all BR rpms have been updated
- rebuild with perl-5.14.1
+ tv <tv>
- fix build with perl-5.14
- add missing libfuse.so.2 for mount.ntfs-3g (#1189)
- prefer Mageia root partitions over Mdv ones (#1320)

* Mon May 30 2011 tmb <tmb> 1.24-3.mga1
+ Revision: 100805
- rebuild with final drakx-installer-binaries
+ kharec <kharec>
- re-add clean at %%install
- bump rel
- remove old sources (1.23)
- clean spec (mostly for allow commit)

* Fri May 20 2011 tmb <tmb> 1.24-1.mga1
+ Revision: 99873
- merge P0-P2 in trunk

* Fri May 20 2011 tmb <tmb> 1.23-3.mga1
+ Revision: 99862
- build with drakx-installer-binaries-1.50-1

* Thu May 19 2011 tmb <tmb> 1.23-2.mga1
+ Revision: 99822
- build with api-fixed drakx-installer-binaries

* Wed Apr 06 2011 dmorgan <dmorgan> 1.23-1.mga1
+ Revision: 81155
- New version:
  	- Fix use of mageia_release

* Sat Apr 02 2011 tmb <tmb> 1.22-7.mga1
+ Revision: 79858
- build with updated ldetect-lst

* Sun Mar 13 2011 tmb <tmb> 1.22-6.mga1
+ Revision: 70348
- rebuild with fixed drakx-installer-binaries

* Sun Mar 13 2011 tmb <tmb> 1.22-5.mga1
+ Revision: 70276
- really add btrfs tools to the rescue image

* Sat Mar 12 2011 tmb <tmb> 1.22-4.mga1
+ Revision: 70229
- prevent systemd to get on the rescue image

* Sat Mar 12 2011 tmb <tmb> 1.22-3.mga1
+ Revision: 70176
- use fakeroot for the whole build process so the rescue image actually works

* Sun Mar 06 2011 tmb <tmb> 1.22-2.mga1
+ Revision: 65204
- add btrfs-progs to rescue image

* Sun Mar 06 2011 tmb <tmb> 1.22-1.mga1
+ Revision: 65196
- fix XSLoader path
- use fakeroot to build rescue image
+ ennael <ennael>
- imported package drakx-installer-rescue

